org.apache.ignite.internal.suggestions

## Class JvmConfigurationSuggestions

- java.lang.Object
- - org.apache.ignite.internal.suggestions.JvmConfigurationSuggestions

    public class JvmConfigurationSuggestions
    extends Object

Java Virtual Machine configuration suggestions.

### Constructor Summary

Constructors
Constructor and Description
`JvmConfigurationSuggestions()`

### Method Summary

Methods
`static List<String>` `getSuggestions()` Checks JVM configurations and produces tuning suggestions.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JvmConfigurationSuggestions

    public JvmConfigurationSuggestions()

### Method Detail

#### getSuggestions

    public static List<String> getSuggestions()

Checks JVM configurations and produces tuning suggestions.

Returns:
  List of suggestions of Java Virtual Machine configuration tuning to increase Ignite performance.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017